# Class ModelReport

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.reporting.model.ModelReport

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Produces only non-cacheable console output") public abstract class ModelReport extends DefaultTask
Deprecated.
Displays some details about the configuration model of the project. An instance of this type is used when you execute the `model` task from the command-line.

Since:
  2.4

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ModelReport.Format`
  Deprecated.
  The report format.

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModelReport()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ModelReport.Format`
  `getFormat()`
  Deprecated.
  Returns the format.
  `protected abstract org.gradle.model.internal.registry.ModelRegistry`
  `getModelRegistry()`
  Deprecated.
  `protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory`
  `getTextOutputFactory()`
  Deprecated.
  `boolean`
  `isShowHidden()`
  Deprecated.
  Returns whether show hidden is set.
  `void`
  `report()`
  Deprecated.
  Report.
  `void`
  `setFormat(String format)`
  Deprecated.
  Sets the format.
  `void`
  `setShowHidden(boolean showHidden)`
  Deprecated.
  Sets the show hidden.

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, service, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache, service`

- ## Constructor Details

  - ### ModelReport

    @Inject public ModelReport()
    Deprecated.

- ## Method Details

  - ### setShowHidden

    public void setShowHidden(boolean showHidden)
    Deprecated.
    Sets the show hidden.
    Since:
      2.10

  - ### isShowHidden

    @Console public boolean isShowHidden()
    Deprecated.
    Returns whether show hidden is set.
    Since:
      2.10

  - ### setFormat

    public void setFormat(String format)
    Deprecated.
    Sets the format.
    Since:
      2.12

  - ### getFormat

    @Console public ModelReport.Format getFormat()
    Deprecated.
    Returns the format.
    Since:
      2.12

  - ### getTextOutputFactory

    @Inject protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()
    Deprecated.

  - ### getModelRegistry

    @Inject protected abstract org.gradle.model.internal.registry.ModelRegistry getModelRegistry()
    Deprecated.

  - ### report

    public void report()
    Deprecated.
    Report.
    Since:
      2.4